# std::_GBase< _Array< _Tp > > Class Template Reference

Inheritance diagram for std::_GBase< _Array< _Tp > >:

List of all members.

## Detailed Description

### template<typename _Tp>
class std::_GBase< _Array< _Tp > >

Definition at line 71 of file valarray_after.h.

## Public Types

- typedef _Tp value_type

## Public Member Functions

- _GBase (_Array< _Tp > __a, const valarray< size_t > &__i)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this class was generated from the following file:

- valarray_after.h